package com.zbf.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zbf.system.domain.TCkPickingwavegoods;

import java.security.Key;
import java.util.List;
import java.util.Map;

/**
 * 出库任务Mapper接口
 *
 * @author tony
 * @date 2024-06-22
 */
public interface TCkPickingwavegoodsMapper extends BaseMapper<TCkPickingwavegoods> //修改
{
    /**
     * 查询出库任务
     *
     * @param id 出库任务主键
     * @return 出库任务
     */
    public TCkPickingwavegoods selectTCkPickingwavegoodsById(String id);

    /**
     * 查询出库任务列表
     *
     * @param tCkPickingwavegoods 出库任务
     * @return 出库任务集合
     */
    public List<TCkPickingwavegoods> selectTCkPickingwavegoodsList(TCkPickingwavegoods tCkPickingwavegoods);

    /**
     * 新增出库任务
     *
     * @param tCkPickingwavegoods 出库任务
     * @return 结果
     */
    public int insertTCkPickingwavegoods(TCkPickingwavegoods tCkPickingwavegoods);

    /**
     * 修改出库任务
     *
     * @param tCkPickingwavegoods 出库任务
     * @return 结果
     */
    public int updateTCkPickingwavegoods(TCkPickingwavegoods tCkPickingwavegoods);

    /**
     * 删除出库任务
     *
     * @param id 出库任务主键
     * @return 结果
     */
    public int deleteTCkPickingwavegoodsById(String id);

    /**
     * 批量删除出库任务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCkPickingwavegoodsByIds(String[] ids);

    /**
     * 批量启用出库任务
     *
     * @param ids 需要启用的数据主键集合
     * @return 结果
     */
    public int enableTCkPickingwavegoodsByIds(String[] ids);

    /**
     * 批量禁用出库任务
     *
     * @param ids 需要禁用的数据主键集合
     * @return 结果
     */
    public int disabledTCkPickingwavegoodsByIds(String[] ids);

    int updateStatusByLotIds(Map<String, Object> params);

    List<TCkPickingwavegoods> selectJxList(TCkPickingwavegoods tCkPickingwavegoods);

    void deleteGoods(TCkPickingwavegoods tCkPickingwavegoods);

    List<TCkPickingwavegoods> selectgoodsByCtl(TCkPickingwavegoods tCkPickingwavegoods);
    /**
     * 更新plc
     * @param tCkPickingwavegoods
     * @return
     */
    public int updatePlcId(TCkPickingwavegoods tCkPickingwavegoods);

    List<TCkPickingwavegoods> selectTckPickingwavegoodsPlcList();

    List<Map<String, Integer>> counts(TCkPickingwavegoods pickingwavegoods);
}
